Project

General

Profile

Bug #1907

[rhythmbox] Magnatune plugin wont download

ani - over 1 year ago - . Updated 8 months ago.

Status:
unconfirmed
Priority:
bug
Assignee:
-
% Done:

0%


Description

I have the Magnatune plugin enabled in Rhythmbox but I get no feedback when hitting "Preferences" on it and neither do I get a "Magnatune" label displayed in the sidebar.

local/rhythmbox 3.4.2+4+ge123ad533-1


Files

Screenshot_2019-03-01_08-20-44.png (2.27 KB) Screenshot_2019-03-01_08-20-44.png Button to the right side ani, 2019-03-01 07:24 AM

History

#1

Updated by freemor over 1 year ago

Please run rhythmbox in a terminal with the appropriate debug or verbose options. Try to use the plugin and attach a log of any useful output here.
Thanks

#2

Updated by ani over 1 year ago

  • Message: 16:06:25.488: Remote error from secret service: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.secrets was not provided by any .service files
    Traceback (most recent call last):
    File "/usr/lib/rhythmbox/plugins/magnatune/magnatune.py", line 94, in do_activate
    self.entry_type = MagnatuneEntryType()
    File "/usr/lib/rhythmbox/plugins/magnatune/magnatune.py", line 50, in init
    self.account = MagnatuneAccount.instance()
    File "/usr/lib/rhythmbox/plugins/magnatune/MagnatuneAccount.py", line 58, in instance
    instance = MagnatuneAccount()
    File "/usr/lib/rhythmbox/plugins/magnatune/MagnatuneAccount.py", line 70, in __init

    self.secret_service = Secret.Service.get_sync(Secret.ServiceFlags.OPEN_SESSION, None)
    GLib.Error: g-dbus-error-quark: The name org.freedesktop.secrets was not provided by any .service files (2)
#3

Updated by freemor over 1 year ago

Useful, Thank you

The first line there and a bit of googleing tells you everything you need to know.

You do not have a secrets service wunning. You need gnome-keyring or ksecretservice installed and running

So next questions:
Is one of them installed?
Is it running?

#4

Updated by ani over 1 year ago

I believe not. Both questions.

#5

Updated by ani over 1 year ago

I have now installed gnome-keyring and get this:

Traceback (most recent call last):
File "/usr/lib/rhythmbox/plugins/magnatune/magnatune.py", line 94, in do_activate
self.entry_type = MagnatuneEntryType()
File "/usr/lib/rhythmbox/plugins/magnatune/magnatune.py", line 50, in init
self.account = MagnatuneAccount.instance()
File "/usr/lib/rhythmbox/plugins/magnatune/MagnatuneAccount.py", line 58, in instance
instance = MagnatuneAccount()
File "/usr/lib/rhythmbox/plugins/magnatune/MagnatuneAccount.py", line 79, in __init

self.secret = items0.get_secret().get()
AttributeError: 'NoneType' object has no attribute 'get'

#6

Updated by ani over 1 year ago

I just closed Rhythmbox:

Traceback (most recent call last):
File "/usr/lib/rhythmbox/plugins/magnatune/magnatune.py", line 132, in do_deactivate
shell.props.shell_player.disconnect(self.pec_id)
AttributeError: 'Magnatune' object has no attribute 'pec_id'

#7

Updated by freemor over 1 year ago

Have you configured the plugin with you account info?

#8

Updated by ani over 1 year ago

If I try to do that:

(rhythmbox:2406): Rhythmbox-WARNING **: 17:28:35.247: Unable to grab media player keys: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SettingsDaemon.MediaKeys was not provided by any .service files
Traceback (most recent call last):
File "/usr/lib/rhythmbox/plugins/magnatune/magnatune.py", line 156, in init
self.account = MagnatuneAccount.instance()
File "/usr/lib/rhythmbox/plugins/magnatune/MagnatuneAccount.py", line 58, in instance
instance = MagnatuneAccount()
File "/usr/lib/rhythmbox/plugins/magnatune/MagnatuneAccount.py", line 79, in __init

self.secret = items0.get_secret().get()
AttributeError: 'NoneType' object has no attribute 'get'
Traceback (most recent call last):
File "/usr/lib/rhythmbox/plugins/magnatune/magnatune.py", line 228, in do_create_configure_widget
fill_account_details()
File "/usr/lib/rhythmbox/plugins/magnatune/magnatune.py", line 174, in fill_account_details
(account_type, username, password) = self.account.get()
AttributeError: 'MagnatuneConfig' object has no attribute 'account'

#9

Updated by freemor over 1 year ago

Hmmm.. another missing service. It really looks like that pulg-in Requires a lot of Gnome.
Again the first line tell you you need gnome-settings-daemon installed and running.

#10

Updated by ani over 1 year ago

Installed gnome-settings-daemon, unable to find a .service for it to run.

#11

Updated by ani about 1 year ago

This is an old bug that is still current. Do you need more info or something?

#12

Updated by freemor about 1 year ago

It seems you ae unclear on some basic concepts.

gnome-settings-daemon is not a systemd/openrc thing. so it will not have an associated .service file
It is a DE (Desktop Environment) thing and since you are not in Rhythmbox's native DE it falls to you to launch all the services it requires when your DE starts up.

Please check on the web for instruction on how to do this. I'd suggest searching "XFCE launch gnome-settings-daemon"
(I put then XFCE in the because from some of your other "bug" reports it seems to be the DE that you are currently using)

#13

Updated by freemor about 1 year ago

After getting Ani up and running with the gnome services this requires it failed out with:

 1 Traceback (most recent call last):                                                                                                                                                                             
 2   File "/usr/lib/rhythmbox/plugins/rb/Loader.py", line 44, in _contents_cb                                                                                                                                     
 3     (ok, contents, etag) = file.load_contents_finish(result)                                                                                                                                                   
 4 GLib.Error: g-io-error-quark: Operation not supported (15)                                                                                                                                                     
 5 Traceback (most recent call last):                                                                                                                                                                             
 6   File "/usr/lib/rhythmbox/plugins/rb/Loader.py", line 44, in _contents_cb                                                                                                                                     
 7     (ok, contents, etag) = file.load_contents_finish(result)                                                                                                                                                   
 8 GLib.Error: g-io-error-quark: Operation not supported (15)                                                                                                                                                     
 9                                                                                                                                                                                                                
10 During handling of the above exception, another exception occurred:                                                                                                                                            
11                                                                                                                                                                                                                
12 Traceback (most recent call last):                                                                                                                                                                             
13   File "/usr/lib/rhythmbox/plugins/rb/Loader.py", line 32, in call_callback                                                                                                                                    
14     v = callback(data, *args)                                                                                                                                                                                  
15   File "/usr/lib/rhythmbox/plugins/magnatune/MagnatuneSource.py", line 219, in update_cb                                                                                                                       
16     remote_changes = remote_changes.strip().decode("iso-8859-1")                                                                                                                                               
17 AttributeError: 'NoneType' object has no attribute 'strip'  

Looking on the Rhythmbox bug tracker this plugin has many outstanding issues:

https://gitlab.gnome.org/GNOME/rhythmbox/issues?scope=all&utf8=%E2%9C%93&state=opened&search=magnatune

Including this exact (or a nearly identical) one:

https://gitlab.gnome.org/GNOME/rhythmbox/issues/1541

Also looking at the gitlab for this its clear that this plugin is not getting any love. The last commit was several years ago.
(Actually ther was some activity 8 month ago so not dead)

#14

Updated by freemor about 1 year ago

Just tried Rhythmbox/Magnatune on an Arch/mate setup. It works there.
So We are back to an issue with ani set-up (more missing gnome stuff) Is gtk3 installed?
or there is an actual Parabola Issue.

#15

Updated by ani about 1 year ago

freemor

Yes gtk3 is installed.

#16

Updated by ani about 1 year ago

As of now. Magnatune works in getting the preferences up and it remembers what account I put in. I click on the "Magnatune" label in Rhythmbox to get to the list of songs, I'm presented with the front page of the plugin and then nothing happens (it's just a placeholder right now with no functionality).

Although, Soundcloud doesn't work either so maybe this is an issue with my setup?

#17

Updated by ani 8 months ago

I started Rhythmbox just now. Magnatune shows up correctly in the sidebar again and I can click it to listen to songs. I can click Preferences on the Plugins page on Magnatune Plugin and get a new window to show. I tried to click "Download" in the plugin window but it downloaded for a too long time so I tried to hit the button on the right side of the progress bar which looks like a small grey stop button. It didn't do anything and it had no animation when I clicked it.

Attaching screenshot.

#18

Updated by bill-auger 8 months ago

  • Status changed from open to unconfirmed
  • Subject changed from [rhythmbox] Magnatune plugin stopped working to [rhythmbox] Magnatune plugin wont download

magnatune plugin does not do anything without setting up an account first, so i cant see the problem right now - if you run rhythmbox from a terminal, is there any error printed when you see this problem?

#19

Updated by ani 8 months ago

bill-auger:

I can't see the original issue right now. Everything works as expected.

Also available in: Atom PDF